Bug 251537 (poppler-20.12.0) - [exp-run] Upgrade graphics/poppler to 20.12.0
Summary: [exp-run] Upgrade graphics/poppler to 20.12.0
Status: Closed FIXED
Alias: poppler-20.12.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-02 17:07 UTC by Tobias C. Berner
Modified: 2020-12-13 22:40 UTC (History)
2 users (show)

See Also:
tcberner: exp-run+


Attachments
v1 (1.53 KB, patch)
2020-12-02 17:07 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-12-02 17:07:29 UTC
Created attachment 220179 [details]
v1

Moin moin


desktop@ would like to ask for an exp-run to upgrade poppler to 20.12. 

The patch is attached, but can also be found here:
https://people.freebsd.org/~tcberner/patches/poppler-20.12.0.v1.diff


mfg Tobias
Comment 2 commit-hook freebsd_committer 2020-12-05 10:45:39 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec  5 10:44:44 UTC 2020
New revision: 557048
URL: https://svnweb.freebsd.org/changeset/ports/557048

Log:
  converters/pdf2djvu: prepare for poppler 20.12

  PR:		251537
  Obtained from:	Arch Linux

Changes:
  head/converters/pdf2djvu/Makefile
Comment 3 commit-hook freebsd_committer 2020-12-05 14:47:03 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec  5 14:46:50 UTC 2020
New revision: 557066
URL: https://svnweb.freebsd.org/changeset/ports/557066

Log:
  graphics/diff-pdf: prepare for poppler 20.12

  PR:		251537

Changes:
  head/graphics/diff-pdf/Makefile
Comment 4 Tobias C. Berner freebsd_committer 2020-12-05 14:47:32 UTC
(In reply to Antoine Brodin from comment #1)
The first two are fixed. Abiword looks like a boost issue.
Comment 5 Antoine Brodin freebsd_committer 2020-12-06 08:46:01 UTC
(In reply to Tobias C. Berner from comment #4)
It seems to be a net/asio issue
Comment 6 commit-hook freebsd_committer 2020-12-11 20:10:56 UTC
A commit references this bug:

Author: tcberner
Date: Fri Dec 11 20:10:18 UTC 2020
New revision: 557760
URL: https://svnweb.freebsd.org/changeset/ports/557760

Log:
  graphics/poppler: update to 20.12.0

  Changelog:
          core:
           * Draw better circles for circle annotations
           * Fix annotation line width if no appearance stream or style are given
           * Tweak rendering of highlight annotations
           * Fix border rendering of some annotations
           * Fix rendering of some files. Issue #976 Issue #567
           * PSOutputDev: provide options to set the rasterization color space and ICC profile
           * PSOutputDev: for splashModeCMYK8 and language level >=2 activate overprint emulation
           * PSOutputDev: use the DeviceN8 bitmap for rasterization with CMYK-output + overprint
           * Use the font name without subset tag when querying for a system font
           * Splash: Fix wrong x adjustment during clipping
           * Splash: Fix blitImage in uncolored tiling patterns
           * timeToDateString: We forgot the ' after the minutes
           * Move psLevel to PSOutputDev creation
           * Fix several issues in broken files

          utils:
           * pdftops: provide options to set the rasterization color space and ICC profile
           * pdftops: for splashModeCMYK8 and language level >=2 activate overprint emulation

          cpp:
           * New fuzzers

          glib:
           * New fuzzers

          qt5:
           * New fuzzers

          build system:
           * gcc: Enable -fno-operator-names
           * Remove obsolete bool-to-binary macro
           * Remove obsolete version-check macro for pkgconfig
           * Remove .pc files for private back-ends
           * Remove redundant unit-test macro

  PR:		251537
  Exp-run by:	antoine

Changes:
  head/converters/pdf2djvu/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/cfiles/Makefile
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/efl/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/editors/calligra/Makefile
  head/editors/kile/Makefile
  head/editors/libreoffice/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/texstudio/Makefile
  head/editors/texworks/Makefile
  head/graphics/atril/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/engauge-digitizer/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/evince/Makefile
  head/graphics/gdal/Makefile
  head/graphics/geeqie/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/impressive/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/krita/Makefile
  head/graphics/okular/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/osg/Makefile
  head/graphics/pdf2svg/Makefile
  head/graphics/pdfpc/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/pkg-plist
  head/graphics/pqiv/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/vips/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xournalpp/Makefile
  head/graphics/yacreader/Makefile
  head/graphics/zathura-pdf-mupdf/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/textmail/Makefile
  head/math/labplot/Makefile
  head/misc/rubygem-rabbit/Makefile
  head/misc/tellico/Makefile
  head/net/kitinerary/Makefile
  head/print/cups-filters/Makefile
  head/print/deforaos-pdfviewer/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/pdf-tools/Makefile
  head/print/py-frescobaldi/Makefile
  head/print/qpdfview/Makefile
  head/print/scribus-devel/Makefile
  head/print/tex-luatex/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfsandwich/Makefile
  head/textproc/py-pdftotext/Makefile
  head/www/hotcrp/Makefile
  head/x11/eaglemode/Makefile
  head/x11/rubygem-gnome/Makefile
Comment 7 commit-hook freebsd_committer 2020-12-11 21:05:04 UTC
A commit references this bug:

Author: tcberner
Date: Fri Dec 11 21:04:38 UTC 2020
New revision: 557763
URL: https://svnweb.freebsd.org/changeset/ports/557763

Log:
  graphics/poppler: update to 20.12.1 (regression fix)

  Release 20.12.1:
          core:
           * PSOutputDev: fixing regression in the rasterization code. Issue #1002
           * Add missing profile copy operation in GfxICCBasedColorSpace::copy()
           * Fix issue in broken files

          build system:
           * Use modern CMake linking for Qt and boost

  PR:		251537

Changes:
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
Comment 8 Tobias C. Berner freebsd_committer 2020-12-11 21:06:21 UTC
Committed. Thanks for the Exp-run.
Comment 9 commit-hook freebsd_committer 2020-12-13 22:40:56 UTC
A commit references this bug:

Author: adridg
Date: Sun Dec 13 22:40:02 UTC 2020
New revision: 558064
URL: https://svnweb.freebsd.org/changeset/ports/558064

Log:
  Repair editors/abiword

  This has been broken since the update to net/asio in november.
  Patch imported from upstream git, https://gitlab.gnome.org/World/AbiWord/
  as git-patch (which patches m4 files which aren't used) and also
  monkeyed into the configure-patch.

  The listed PR had an exp-run that failed on this even though
  the build failure wasn't related to the exp-run.

  PR:		251537

Changes:
  head/editors/abiword/Makefile
  head/editors/abiword/files/patch-configure
  head/editors/abiword/files/patch-git-699705dc1c91f41ea11eed4facb2d3756d899eec.patch